lib64gl-devel-17.3.2-2-omv2015.0.x86_64.rpm


Advertisement

Description

lib64gl-devel - Development files for Mesa (OpenGL compatible 3D lib)

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Main Testing x86_64
Package filename lib64gl-devel-17.3.2-2-omv2015.0.x86_64.rpm
Package name lib64gl-devel
Package version 17.3.2
Package release 2-omv2015.0
Package architecture x86_64
Package type rpm
Category Development/C
Homepage http://www.mesa3d.org
License MIT
Maintainer -
Download size 130.10 KB
Installed size 1.54 MB
This package contains the headers needed to compile Mesa programs.

Alternatives

Package Version Architecture Repository
lib64gl-devel-18.2.8-1-omv2015.0.x86_64.rpm 18.2.8 x86_64 OpenMandriva Main Updates
lib64gl-devel-12.0.1-2-omv2015.0.x86_64.rpm 12.0.1 x86_64 OpenMandriva Main Release
lib64gl-devel - - -

Requires

Name Value
devel(libLLVMAnalysis(64bit)) -
devel(libLLVMCore(64bit)) -
devel(libLLVMExecutionEngine(64bit)) -
devel(libLLVMMC(64bit)) -
devel(libLLVMMCDisassembler(64bit)) -
devel(libLLVMMCJIT(64bit)) -
devel(libLLVMRuntimeDyld(64bit)) -
devel(libLLVMScalarOpts(64bit)) -
devel(libLLVMSupport(64bit)) -
devel(libLLVMTarget(64bit)) -
devel(libLLVMX86CodeGen(64bit)) -
devel(libLLVMX86Desc(64bit)) -
devel(libLLVMX86Disassembler(64bit)) -
devel(libLLVMX86Info(64bit)) -
devel(libX11(64bit)) -
devel(libX11-xcb(64bit)) -
devel(libXdamage(64bit)) -
devel(libXext(64bit)) -
devel(libXfixes(64bit)) -
devel(libXv(64bit)) -
devel(libXvMC(64bit)) -
devel(libXxf86vm(64bit)) -
devel(libdrm(64bit)) -
devel(libdrm_nouveau(64bit)) -
devel(libdrm_radeon(64bit)) -
devel(libelf(64bit)) -
devel(libexpat(64bit)) -
devel(libgcc_s(64bit)) -
devel(libglapi(64bit)) -
devel(libstdc++(64bit)) -
devel(libxcb(64bit)) -
devel(libxcb-dri2(64bit)) -
devel(libxcb-dri3(64bit)) -
devel(libxcb-glx(64bit)) -
devel(libxcb-present(64bit)) -
devel(libxcb-sync(64bit)) -
devel(libxcb-xfixes(64bit)) -
devel(libxshmfence(64bit)) -
devel(libz(64bit)) -
lib64gl1 == 17.3.2-2
pkgconfig(libdrm) >= 2.4.75
pkgconfig(x11) -
pkgconfig(x11-xcb) -
pkgconfig(xcb) -
pkgconfig(xcb-dri2) >= 1.8
pkgconfig(xcb-glx) >= 1.8.1
pkgconfig(xdamage) >= 1.1
pkgconfig(xext) -
pkgconfig(xfixes) -
pkgconfig(xxf86vm) -

Provides

Name Value
devel(libGL(64bit)) -
devel(libXvMCgallium(64bit)) -
lib64gl-devel == 17.3.2-2:2015.0
pkgconfig(dri) == 17.3.2
pkgconfig(gl) == 17.3.2

Obsoletes

Name Value
lib64gl1-devel < 17.3.2-2
lib64mesagl1-devel < 8.0

Download

Type URL
Mirror abf-downloads.openmandriva.org
Binary Package lib64gl-devel-17.3.2-2-omv2015.0.x86_64.rpm
Source Package mesa-17.3.2-2.src.rpm

Install Howto

  1. Enable OpenMandriva Main Testing repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64gl-devel rpm package:
    # urpmi lib64gl-devel

Files

Path
/usr/include/GL/gl.h
/usr/include/GL/gl_mangle.h
/usr/include/GL/glcorearb.h
/usr/include/GL/glext.h
/usr/include/GL/glx.h
/usr/include/GL/glx_mangle.h
/usr/include/GL/glxext.h
/usr/include/GL/internal/dri_interface.h
/usr/lib64/libGL.so
/usr/lib64/libXvMCnouveau.so
/usr/lib64/libXvMCr600.so
/usr/lib64/pkgconfig/dri.pc
/usr/lib64/pkgconfig/gl.pc

See Also

Package Description
lib64gl1-17.3.2-2-omv2015.0.x86_64.rpm Files for Mesa (GL and GLX libs)
lib64glapi-devel-17.3.2-2-omv2015.0.x86_64.rpm Development files for glapi libs
lib64glapi0-17.3.2-2-omv2015.0.x86_64.rpm Files for mesa (glapi libs)
lib64glesv1-devel-17.3.2-2-omv2015.0.x86_64.rpm Development files for glesv1 libs
lib64glesv1_1-17.3.2-2-omv2015.0.x86_64.rpm Files for Mesa (glesv1 libs)
lib64glesv2-devel-17.3.2-2-omv2015.0.x86_64.rpm Development files for glesv2 libs
lib64glesv2_2-17.3.2-2-omv2015.0.x86_64.rpm Files for Mesa (glesv2 libs)
lib64glesv3-devel-17.3.2-2-omv2015.0.x86_64.rpm Development files for glesv3 libs
lib64gnucash-devel-2.7.8-1-omv2015.0.x86_64.rpm Libraries needed to develop for gnucash
lib64gnucash0-2.7.8-1-omv2015.0.x86_64.rpm Libraries for gnucash
lib64gnutls-devel-3.6.8-0.1-omv2015.0.x86_64.rpm Development files for gnutls
lib64gnutls30-3.6.8-0.1-omv2015.0.x86_64.rpm Library providing a secure layer (SSL)
lib64gnutlsxx28-3.6.8-0.1-omv2015.0.x86_64.rpm Library providing a secure layer (SSL)
lib64gtk+3.0-devel-3.22.30-2-omv2015.0.x86_64.rpm Development files for GTK+ (GIMP ToolKit) applications
lib64gtk-gir3.0-3.22.30-2-omv2015.0.x86_64.rpm GObject Introspection interface description for gtk+3.0
Advertisement
Advertisement